Package libxyz :: Package ui :: Module box :: Class Box

[hide private]
[frames] | no frames]

# Class Box

source code

    lowui.WidgetWrap --+
                       |
                      Box

Base box

Instance Methods | [hide private]

__init__(self, xyz, body, message, title="", width=70) | source code

calc_size(self, rowspan) Calculate size | source code

parent_init(self, box) Init parent class | source code

show(self, dim=None, wait=True) Show box | source code

_rows(self, msg) Calculate required rows | source code

_strip_title(self, title) Strip title if needed | source code

Class Variables | [hide private]

| resolution = `u"box", u"widget"`

Method Details | [hide private]

### __init__(self, xyz, body, message, title="", width=70)
(Constructor)

source code

Parameters:
  - `xyz` - XYZ data
  - `body` - Top-level widget
  - `message` - Message to display
  - `title` - Box title
  - `width` - Box width

    Required resources: title, box, mount

### show(self, dim=None, wait=True)

source code

Show box

Parameters:
  - `dim` - Dimension
  - `wait` - If True wait for key pressed